//=========================================================================//
//-------------------------------------------------------------------------//
// $Id: errcode.h,v 1.2 2001/04/30 20:13:22 lanconel Exp $                                                                    //
//-------------------------------------------------------------------------//
//  Copyright (C) 1998-2001  Claudio Lanconelli                            //
//                                                                         //
//  e-mail: lancos@libero.it                                               //
//  http://www.LancOS.com                                                  //
//-------------------------------------------------------------------------//
//                                                                         //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public License            //
// as published by the Free Software Foundation; either version2 of        //
// the License, or (at your option) any later version.                     //
//                                                                         //
// This program is distributed in the hope that it will be useful,         //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU  General Public License      //
// along with this program (see COPYING);     if not, write to the         //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //
//                                                                         //
//-------------------------------------------------------------------------//
//=========================================================================//

#ifndef	_ERRCODE_H
#define	_ERRCODE_H

#define	OK				0
#define	BADPARAM		-2			// Parametri alla funzione errati

#define	FILENOTFOUND	-3			// File non aperto in lettura
#define	CREATEERROR		-4			// File non aperto in scrittura
#define	BADFILETYPE		-5			// File di tipo errato
#define	READERROR		-6			// Errore in lettura dal file
#define	WRITEERROR		-7			// Errore in scrittura da file
#define	NOTHINGTOSAVE	-8			// Nessun contenuto da salvare
#define NOTSUPPORTED	-9			// Funzionalita` non supportata (ancora)

#define	E2P_TIMEOUT		-10

//#define IICERR_NOERR		OK
#define IICERR_BUSBUSY		-11
#define IICERR_NOTACK		-12
#define IICERR_NOADDRACK	-13
#define IICERR_SDACONFLICT	-14
#define	IICERR_SCLCONFLICT	-15
#define	E2ERR_OPENFAILED	-16
#define	E2ERR_ACCESSDENIED	-17
#define E2ERR_NOTINSTALLED	-18
#define IICERR_TIMEOUT		-19
#define	IICERR_STOP			-20

#define	DEVICE_LOCKED		-25
#define	OP_ABORTED			-26

#define	BUFFEROVERFLOW		-30
#define	OUTOFMEMORY			-31

#endif

